package gridsim.dcworms.filter;

import eduni.simjava.Sim_event;
import gridsim.filter.FilterResult;

/**
 * @author wojtek
 *
 */
public class ResourceEventFilter extends FilterResult {

	public ResourceEventFilter(int resId, int tag) {
		super(resId, tag);
	}

	public boolean match(Sim_event ev) {

		if (ev == null) {
			return false;
		}

		boolean result = false;
		try {

			if (tag_ == ev.get_tag()) {
				Object obj = ev.get_data();

				if (obj instanceof String) {

					String resId = (String) obj;

					if (resId.hashCode() == eventID_) {
						result = true;
					}
				}
			}
		} catch (Exception e) {
			result = false;
		}

		return result;
	}

}
